<div class="owppoczta-settings">
    <div class="module_error alert alert-info" >
        <button type="button" class="close" data-dismiss="alert">&times;</button>
        <p>Aby dodać do wiadomości email wysyłanych do klientów informację o wybranej placówce pocztowej, wstaw do szablonu wiadomości (w menu Lokalizacja -> Tłumaczenia) shortcode <strong>"{literal}{odbior_w_punkcie}"</strong> w odpowiednim miejscu, lub w przypadku wiadomości tekstowych - <strong>"{odbior_w_punkcie_tekst}{/literal}"</strong>.</p>
    </div>
<div class="panel">
    <div class="panel-heading">
        Powiązane metody przesyłki
    </div>
            <table id="carrier" class="table tableDnD carrier" style="width: 100%; margin-bottom:10px;" cellpadding="0" cellspacing="0">
                <thead>
                <tr class="nodrag nodrop" style="height: 40px">
                    {foreach from=$place_types item=place_type}
                    <th class="center">
                        <span class="title_box">
										{$place_type->getHeaderText()}
									</span>
                    </th>
                    {/foreach}
                    <th class="center">
                        <span class="title_box">
										ID
									</span>
                    </th>
                    <th>
                        <span class="title_box">
										Nazwa
									</span>
                    </th>
                    <th class="center">
																		<span class="title_box">
										Logo
									</span>
                    </th>
                    <th>
																		<span class="title_box">
										Czas przesyłki
									</span>
                    </th>
                    <th class="center">
																		<span class="title_box">
										Status
									</span>
                    </th>
                    <th class="center"><span class="title_box">Edycja</span></th>
                </tr>
                </thead>

                <tbody>
                {if count($carriers)}
                    {foreach from=$carriers item=carrier}
                <tr id="tr_{$carrier['id_carrier']}" class="{cycle values="even, odd"} row_hover carrier_list_tr {if not empty($carrier['connected'])}connected{/if}">
                    {foreach from=$place_types item=place_type}
                        <td class="center">
                        <span class="switch prestashop-switch fixed-width-lg">
                            <input {if in_array($place_type->getName(), $carrier['connected'])}checked {/if}
                                   onchange="setOwppocztaConnected({$carrier['id_carrier']}, true, '{$place_type->getName()}')"
                                   type="radio"
                                   name="carrier_{$carrier['id_carrier']}_{$place_type->getName()}_connected"
                                   id="carrier_{$carrier['id_carrier']}_{$place_type->getName()}_connected_on"
                                   value="{$carrier['id_carrier']}"
                                   data-name="{$place_type->getName()}">
                            <label for="carrier_{$carrier['id_carrier']}_{$place_type->getName()}_connected_on" >
                                <i class="color_success"></i> {l s='Yes' mod='owppoczta'}
                            </label>
                            <input {if not in_array($place_type->getName(), $carrier['connected'])}checked {/if}
                                   onchange="setOwppocztaConnected({$carrier['id_carrier']}, false, '{$place_type->getName()}')"
                                   type="radio"
                                   name="carrier_{$carrier['id_carrier']}_{$place_type->getName()}_connected"
                                   id="carrier_{$carrier['id_carrier']}_{$place_type->getName()}_connected_off"
                                   value="{$carrier['id_carrier']}"
                                   data-name="{$place_type->getName()}">
                            <label for="carrier_{$carrier['id_carrier']}_{$place_type->getName()}_connected_off">
                                <i class="color_danger"></i> {l s='No' mod='owppoczta'}
                            </label>
                            <a class="slide-button btn"></a>
                        </span>
                    </td>
                    {/foreach}

                    <td class="pointer center">
                            {$carrier['id_carrier']}
                    </td>


                    <td class="pointer">
                            {$carrier['name']}
                    </td>


                    <td class="pointer center">
                        {if $carrier['img']}
                            <img src="{$carrier['img']}" alt="{$carrier['name']}" />
                        {/if}
                    </td>

                    <td class="pointer" >
                        {$carrier['delay']}
                    </td>

                    <td class="pointer center"><a title="Włączone">
                            {if $carrier['active']}
                                <a class="list-action-enable action-enabled" title="Włączony">
                                    <i class="icon-check"></i>
                                </a>
                            {else}
                                <a class="list-action-enable action-disabled" title="Wyłączony">
                                    <i class="icon-remove"></i>
                                </a>
                            {/if}
                        </a>
                    </td>
                    <td class="center" style="white-space: nowrap;">
                        <a class="edit btn btn-default" title="Zostaniesz przeniesiony na stronę edycji sposobów dostawy" href="{$admin_carrier_url}&amp;id_carrier={$carrier['id_carrier']}">

                            <i class="icon-pencil"></i>

                            Edytuj

                        </a>
                    </td>
                </tr>
                {/foreach}
                {else}
                    <tr>
                        <td class="list-empty" colspan="7">
                            <div class="list-empty-msg">
                                <i class="icon-warning-sign list-empty-icon"></i>
                                Nie odnaleziono metod przesyłki
                            </div>
                        </td>
                    </tr>
                {/if}
                </tbody>
            </table>
</div>
<div class="panel">
    <div class="panel-heading">
        Ustawienia aktualizacji bazy danych
    </div>
    <p>Wybierz sposób i częstotliwość aktualizacji bazy danych placówek pocztowych. Jeśli wybierzesz aktualizację automatyczną, będzie ona zachodzić jedynie wtedy gdy po przekroczeniu interwału nastąpi zalogowanie do panelu administracyjnego.</p>
    <form class="ajax-form">
        <table class="table update-settings" cellspacing="0" cellpadding="0">
            <tbody>
            <tr>
                <td>
                    <input onchange="updateOwppocztaConfiguration(this)" type="radio" name="DATABASE_STATUS" value="0" {if $update_status == 0} checked {/if}>
                </td>
                <td>
                    Aktualizacja wyłączona - jedynie w awaryjnych przypadkach.
                </td>
            </tr>
            <tr class="odd">
                <td>
                    <input onchange="updateOwppocztaConfiguration(this)" type="radio" name="DATABASE_STATUS" value="2" {if $update_status == 2} checked {/if}>
                </td>
                <td>
                    Aktualizacja ręczna - za pomocą odnośnika. Można go uruchamiać ręcznie lub dodać do CRONa, aby aktualizacja zachodziła zawsze o tej samej, wybranej porze.
                    <code>
                        <a target="_blank" href="{$link}">{$link}</a>
                    </code>
                </td>
            </tr>
            <tr>
                <td>
                    <input onchange="updateOwppocztaConfiguration(this)" type="radio" name="DATABASE_STATUS" value="1" {if $update_status == 1} checked {/if}>
                </td>
                <td class="form-inline">
                    Aktualizacja automatyczna <select onchange="updateOwppocztaConfiguration(this)" class="form-control interval-select" name="DATABASE_INTERVAL">
                        <option value="86400" {if $update_interval == 86400} selected {/if}>codziennie</option>
                        <option value="172800" {if $update_interval == 172800} selected {/if}>co dwa dni</option>
                        <option value="604800" {if $update_interval == 604800} selected {/if}>co tydzień</option>
                        <option value="2628000" {if $update_interval == 2628000} selected {/if}>co miesiąc</option>
                    </select> po zalogowaniu się do panelu administracyjnego.
                </td>
            </tr>
            </tbody>
        </table>
    </form>
    <div class="panel-footer">
        <a id="run-database-update-button" class="btn btn-default pull-right" onclick="updateOwppocztaDatabase()">
            <i class="process-icon-refresh"></i> Aktualizuj teraz!
        </a>
    </div>
</div>
<div class="panel">
    <div class="panel-heading">
        Logi
        </div>
        <table class="table owppoczta-logs-table" cellpadding="0" cellspacing="0" >
            <thead>
            <tr style="height: 40px">
                <th>Data</th>
                <th>Stan</th>
                <th>Opis</th>
            </tr>
            </thead>
            <tbody>
            {if count($logs) > 1}
                {foreach from=$logs item=log}
                   <tr class="{cycle values="even, odd"}">
                        {foreach from=$log item=cell}
                            <td>
                                {if $cell eq 'OK'}
                                    <strong style="color: green">
                                {elseif $cell eq 'ERROR'}
                                    <strong style="color: red">
                                {/if}
                                {$cell}
                                {if $cell eq 'OK' || $cell eq 'ERROR'}
                                    </strong>
                                {/if}
                            </td>
                        {/foreach}
                    </tr>
                {/foreach}
            {/if}
            <tr id="log-list-empty" {if count($logs) > 1}style="display: none"{/if}>
                <td  class="list-empty" colspan="3">
                    <div class="list-empty-msg">
                        <i class="icon-warning-sign list-empty-icon"></i>
                        Nie odnaleziono logów
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
        <div class="panel-footer">
            <button  value="Usuń logi" id="remove-logs" class="btn btn-default pull-right" onclick="removeOwppocztaLogs()">
                <i class="process-icon-trash icon-trash"></i> Usuń logi
            </button>
        </div>
    </div>
    <div class="panel">
        <div class="panel-heading">
            Ustawienia zaawansowane
            </div>
        <div class="module_error alert alert-danger" >
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <p>UWAGA! Wszelkie zmiany poniższych opcji mogą zepsuć działanie modułu - na własną odpowiedzialność!</p>
        </div>
        <form class="form-wrapper form-horizontal ">
            <div class="form-group">
                <label class="control-label col-md-4"  for="URI_PP">Odnośnik do spakowanej listy placówek pocztowych</label>
                <div class="col-md-8">
                    <input onchange="updateOwppocztaConfiguration(this)" id="URI_PP" name="URI_PP" type="text"
                                             value="{htmlspecialchars($pp_uri)}"/>
                    <p class="help-block">Aktualne informacje o plikach do pobrania można znaleźć na stronie Poczty Polskiej - <a href="http://odbiorwpunkcie.poczta-polska.pl/" target="_blank">odbiorwpunkcie.poczta-polska.pl</a></p>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-4" for="PP_ENC">Kodowanie pliku z listą wszystkich placówek pocztowych</label>
                <div class="col-md-8">
                    <select onchange="updateOwppocztaConfiguration(this)" id="PP_ENC" name="PP_ENC">
                        <option {if $pp_enc eq "UTF-8"} selected {/if} value="UTF-8">UTF-8 Unicode</option>
                        <option {if $pp_enc eq "cp1250"} selected {/if} value="cp1250">Windows Central European</option>
                        <option {if $pp_enc eq "latin2"} selected {/if} value="latin2">ISO 8859-2 Central European</option>
                    </select>
                    <p class="help-block">Jeśli nazwy ulic nie mają polskich znaków tylko tzw. "krzaczki", należy pobrać <a href="{$pp_uri}">archiwum z listą placówek</a>, następnie rozpakować i <a href="https://www.google.pl/search?q=jak+sprawdzić+kodowanie+pliku+notepad++" target="_blank">sprawdzić kodowanie pliku</a>.</p>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-4"  for="URI_PNAPNIPP">Odnośnik do spakowanej listy najbliższych pięciu punktów odbioru dla kodu pocztowego</label>
                <div class="col-md-8"><input onchange="updateOwppocztaConfiguration(this)" id="URI_PNAPNIPP" name="URI_PNAPNIPP" type="text"
                                             value="{htmlspecialchars($pp_pnapni_uri)}"/>
                </div>
                <p class="help-block">Aktualne informacje o plikach do pobrania można znaleźć na stronie Poczty Polskiej - <a href="http://odbiorwpunkcie.poczta-polska.pl/" target="_blank">odbiorwpunkcie.poczta-polska.pl</a></p>
            </div>
            <div class="form-group">
                <label class="control-label col-md-4" for="PP_PNAPNI_ENC">Kodowanie pliku z listą kodów pocztowych</label>
                <div class="col-md-8">
                    <select onchange="updateOwppocztaConfiguration(this)" id="PP_PNAPNI_ENC" name="PP_PNAPNI_ENC">
                        <option {if $pp_pnapni_enc eq "UTF-8"} selected {/if} value="UTF-8">UTF-8 Unicode</option>
                        <option {if $pp_pnapni_enc eq "cp1250"} selected {/if} value="cp1250">Windows Central European</option>
                        <option {if $pp_pnapni_enc eq "latin2"} selected {/if} value="latin2">ISO 8859-2 Central European</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-md-4"  for="GMAPS_API_KEY">Klucz Google Maps Javascript API</label>
                <div class="col-md-8"><input onchange="updateOwppocztaConfiguration(this)" id="GMAPS_API_KEY" name="GMAPS_API_KEY" type="text"
                       value="{htmlspecialchars($google_maps_api_key)}"/>
                </div>
            </div>
        </form>
    </div>
</div>
<style type="text/css">
    .owppoczta-settings{
        margin: 0 auto;
    }
    .update-settings.table tr td{
        font-size: 14px;
    }
    .update-settings .odd{
        background-color: rgba(255,255,255,0.6);
    }
    .update-settings2 input[type="radio"]{
        width: 12px;
        height: 12px;
        margin: 10px;
        display: block;
        float: left;
    }
    .update-settings code{
        padding: 3px 5px 2px;
        margin: 2px 1px;
        display: inline-block;
        background: none repeat scroll 0 0 rgba(0, 0, 0, 0.07);
        font-size: 13px;
        font-family: Consolas,Monaco,monospace;
        direction: ltr;
        unicode-bidi: embed;
        line-height: 1.4em;
    }
    .update-settings code a{
        color: #0074A2;
    }
    .update-settings code a:hover{
        color: #0099D5;
    }
    .update-settings code a:focus {
        box-shadow: 0 0 0 1px #5B9DD9, 0 0 2px 1px rgba(30, 140, 190, 0.8);
    }
    .interval-select option{
        padding: 2px 10px 2px 5px;
    }
    .owppoczta-logs-table{
        width: 100%;
    }
    .owppoczta-logs-table tr th:nth-of-type(3){
        text-align: center;
    }
    .form-container label{
        width: 300px;
    }
    .form-container span select{
        margin-top: 10px;
    }
    .form-container span{
        display: block;
        overflow: hidden;
    }
    .form-container span small{
        float: left;
    }
</style>
