<?php


/**
 * Class OwppocztaCarrier
 */
class OwppocztaConnection
{
    /**
     * @var int
     */
    protected $id_carrier;

    /**
     * @var string
     */
    protected $owppocztacarrier_name;

    public function __construct($id_carrier = null, $owppocztacarrier_name = null)
    {
        $this->id_carrier = $id_carrier;
        $this->owppocztacarrier_name = $owppocztacarrier_name;
    }

    /**
     * @return string
     */
    public function getOwppocztacarrierName()
    {
        return $this->owppocztacarrier_name;
    }

    /**
     * @param string $owppocztacarrier_name
     */
    public function setOwppocztacarrierName($owppocztacarrier_name)
    {
        $this->owppocztacarrier_name = $owppocztacarrier_name;
    }

    /**
     * @param int $id_carrier
     */
    public function setIdCarrier($id_carrier)
    {
        $this->id_carrier = $id_carrier;
    }

    /**
     * @return int
     */
    public function getIdCarrier()
    {
        return $this->id_carrier;
    }

    public function save()
    {

        $sql = sprintf('REPLACE INTO %sowppoczta_connections (id_carrier, owppocztacarrier_name) VALUES( %d, "%s");',
            _DB_PREFIX_,
            $this->id_carrier,
            $this->owppocztacarrier_name
        );
        return Db::getInstance()->execute($sql);
    }

    public function delete()
    {
        $sql = sprintf('
                DELETE FROM %sowppoczta_connections WHERE id_carrier = %d AND owppocztacarrier_name = "%s";',
            _DB_PREFIX_,
            $this->id_carrier,
            $this->owppocztacarrier_name);
        return Db::getInstance()->execute($sql);
    }

    public static function getConnections($id_carrier = null){
        $sql = sprintf('SELECT id_carrier, owppocztacarrier_name FROM %sowppoczta_connections ',
            _DB_PREFIX_);
        if(!is_null($id_carrier))
            $sql .= sprintf('WHERE id_carrier = %d', $id_carrier);
        else
            $sql .=';';
        $result = Db::getInstance()->query($sql);
        if(is_null($id_carrier))
            return $result->fetchAll(PDO::FETCH_COLUMN|PDO::FETCH_GROUP);
        else
            return $result->fetchAll(PDO::FETCH_COLUMN, 1);
    }
}

