<?php
/**
 * Created by PhpStorm.
 * User: Michał Mleczko
 * Date: 2015-07-22
 * Time: 17:56
 * File: /upgrade/install-1.3.php
 */

if (!defined('_PS_VERSION_'))
    exit;

/**
 * @param $module owppoczta
 * @return mixed
 */
function upgrade_module_1_3($module)
{
    $sql1 = 'ALTER TABLE ' . _DB_PREFIX_ . DATABASE_PLACOWKI_POCZTY . '
	    ADD typ varchar(10);';

    $sql2 = 'CREATE TABLE ' . _DB_PREFIX_ . 'owppoczta_connections (
	id INT(10) NOT NULL AUTO_INCREMENT,
	id_carrier INT(10) NOT NULL,
	owppocztacarrier_name VARCHAR(10) NOT NULL,
	INDEX id (id))';

    $sql3 = 'ALTER TABLE ' . _DB_PREFIX_ . 'owppoczta_orders
	    ADD id_carrier varchar(10);';
    return Db::getInstance()->execute($sql1) &&
    Db::getInstance()->execute($sql2) &&
    Db::getInstance()->execute($sql3) &&
    Configuration::updateValue('MOD_OWPPOCZTA_PLACE_TYPES', serialize(setPlaceTypesList())) &&
    Configuration::updateValue('MOD_OWPPOCZTA_GMAPS_API_KEY', 'AIzaSyAhBmnF90rKXc7PtERC3KTZgf3ki21aawU') &&
    Configuration::updateValue('MOD_OWPPOCZTA_URI_PNAPNIPP', 'http://odbiorwpunkcie.poczta-polska.pl/pliki.php?t=pnapni-csv-K48S') &&
    Configuration::updateValue('MOD_OWPPOCZTA_URI_PP', 'http://odbiorwpunkcie.poczta-polska.pl/pliki.php?t=csvK48S') &&
    Configuration::deleteByName('MOD_OWPPOCZTA_ACCEPT_RIGHTS') &&
    Configuration::deleteByName('MOD_OWPPOCZTA_CONNECTED_CARRIERS') &&
    ($module->registerHook('header') || $module->registerHook('displayHeader'));

}

function setPlaceTypesList()
{
    $orlen = new OwppocztaCarrier('orlen', 'Odbiór na stacjach Orlen');
    $poczta = new OwppocztaCarrier('poczta', 'Odbiór na poczcie');
    return array($poczta, $orlen);
}