<div class="owppoczta-settings">
<div class="module_error warning">
    <p>Aby dodać do wiadomości email wysyłanych do klientów informację o wybranej placówce pocztowej, wstaw do szablonu wiadomości (w menu Lokalizacja -> Tłumaczenia) shortcode <strong>"{literal}{odbior_w_punkcie}"</strong> w odpowiednim miejscu, lub w przypadku wiadomości tekstowych - <strong>"{odbior_w_punkcie_tekst}{/literal}"</strong>.</p>
</div>
<fieldset >
    <legend>Ustawienia</legend>
    <h3>Powiązane metody przesyłki</h3>
            <table id="carrier" class="table tableDnD carrier" style="width: 100%; margin-bottom:10px;" cellpadding="0" cellspacing="0">
                <thead>
                <tr class="nodrag nodrop" style="height: 40px">
                    {foreach from=$place_types item=place_type}
                        <th class="center">
                        <span class="title_box">
										{$place_type->getHeaderText()}
									</span>
                        </th>
                    {/foreach}
                    <th>
																		<span class="title_box">
										Nazwa
									</span>
                    </th>
                    <th class="center">
																		<span class="title_box">
										Logo
									</span>
                    </th>
                    <th>
																		<span class="title_box">
										Czas przesyłki
									</span>
                    </th>
                    <th class="center">
																		<span class="title_box">
										Status
									</span>
                    </th>
                    <th class="center"><span class="title_box">Edycja</span></th>
                </tr>
                </thead>

                <tbody>
                {if count($carriers)}
                {foreach from=$carriers item=carrier}
                <tr id="tr_{$carrier['id_carrier']}" class="{cycle values="row, alt_row"} row_hover carrier_list_tr {if $carrier['connected']}connected{/if}">
                    {foreach from=$place_types item=place_type}
                    <td class="center">
                        <label for="carrier_{$carrier['id_carrier']}_connected">
                            <input id="carrier_{$carrier['id_carrier']}_connected"
                                   autocomplete="off"
                                   name="carrier_{$carrier['id_carrier']}_connected"
                                   value="{$carrier['id_carrier']}"
                                   class="noborder"
                                   type="checkbox"
                                   onchange="setOwppocztaConnected({$carrier['id_carrier']}, this.checked, '{$place_type->getName()}')"
                                   {if in_array($place_type->getName(), $carrier['connected'])}checked {/if}>
                        </label>
                    </td>
                    {/foreach}
                    <td class="pointer">
                        <label for="carrier_{$carrier['id_carrier']}_connected">
                            {$carrier['name']}
                        </label>
                    </td>

                    <td class="pointer center">
                        <label for="carrier_{$carrier['id_carrier']}_connected">
                        {if $carrier['img']}
                            <img src="{$carrier['img']}" alt="{$carrier['name']}" />
                        {/if}
                        </label>
                    </td>

                    <td class="pointer" >
                        <label for="carrier_{$carrier['id_carrier']}_connected">
                        {$carrier['delay']}
                        </label>
                    </td>
                    <td class="pointer center"><a title="Włączone">
                            <label for="carrier_{$carrier['id_carrier']}_connected">
                            {if $carrier['active']}
                                <img src="../img/admin/enabled.gif" alt="Włączone">
                            {else}
                                <img src="../img/admin/disabled.gif" alt="Wyłączone">
                            {/if}
                            </label>
                        </a>
                    </td>
                    <td class="center" style="white-space: nowrap;">
                        <a title="Zostaniesz przeniesiony na stronę edycji sposobów dostawy" href="{$admin_carrier_url}&amp;id_carrier={$carrier['id_carrier']}"><img src="../img/admin/edit.gif"></a>
                    </td>
                </tr>
                {/foreach}
                {else}
                <tr>
                    <td class="list-empty" colspan="7">
                        <div class="list-empty-msg">
                            <i class="icon-warning-sign list-empty-icon"></i>
                            Nie odnaleziono metod przesyłki
                        </div>
                    </td>
                </tr>
                {/if}
                </tbody>
            </table>
    <h3>Ustawienia aktualizacji bazy danych</h3>
    <p>Wybierz sposób i częstotliwość aktualizacji bazy danych placówek pocztowych. Jeśli wybierzesz aktualizację automatyczną, będzie ona zachodzić jedynie wtedy gdy po przekroczeniu interwału nastąpi zalogowanie do panelu administracyjnego.</p>
    <form class="ajax-form">
        <table class="table update-settings" cellspacing="0" cellpadding="0">
            <tbody>
            <tr>
                <td>
                    <input onchange="updateOwppocztaConfiguration(this)" type="radio" name="DATABASE_STATUS" value="0" {if $update_status == 0} checked {/if}>
                </td>
                <td>
                    Aktualizacja wyłączona - jedynie w awaryjnych przypadkach.
                </td>
            </tr>
            <tr class="alt_row">
                <td>
                    <input onchange="updateOwppocztaConfiguration(this)" type="radio" name="DATABASE_STATUS" value="2" {if $update_status == 2} checked {/if}>
                </td>
                <td>
                    Aktualizacja ręczna - za pomocą odnośnika. Można go uruchamiać ręcznie lub dodać do CRONa, aby aktualizacja zachodziła zawsze o tej samej, wybranej porze.
                    <code>
                        <a target="_blank" href="{$link}">{$link}</a>
                    </code>
                </td>
            </tr>
            <tr>
                <td>
                    <input onchange="updateOwppocztaConfiguration(this)" type="radio" name="DATABASE_STATUS" value="1" {if $update_status == 1} checked {/if}>
                </td>
                <td>
                    Aktualizacja automatyczna <select onchange="updateOwppocztaConfiguration(this)" class="interval-select" name="DATABASE_INTERVAL">
                        <option value="86400" {if $update_interval == 86400} selected {/if}>codziennie</option>
                        <option value="172800" {if $update_interval == 172800} selected {/if}>co dwa dni</option>
                        <option value="604800" {if $update_interval == 604800} selected {/if}>co tydzień</option>
                        <option value="2628000" {if $update_interval == 2628000} selected {/if}>co miesiąc</option>
                    </select> po zalogowaniu się do panelu administracyjnego.
                </td>
            </tr>
            </tbody>
        </table>
    </form>
    <br/>
    <a id="run-database-update-button" class="button large run-database-update-button" onclick="updateOwppocztaDatabase();" href="#">Aktualizuj teraz!</a>
    <h3>Logi</h3>
        <table class="table owppoczta-logs-table" cellpadding="0" cellspacing="0" >
            <thead>
            <tr style="height: 40px">
                <th>Data</th>
                <th>Stan</th>
                <th>Opis</th>
            </tr>
            </thead>
            <tbody>
            {if count($logs) > 1}
            {foreach from=$logs item=log}
                <tr class="{cycle values="row, alt_row"}">
                    {foreach from=$log item=cell}
                        <td>
                            {if $cell eq 'OK'}
                                <strong style="color: green">
                            {elseif $cell eq 'ERROR'}
                                <strong style="color: red">
                            {/if}
                            {$cell}
                            {if $cell eq 'OK' || $cell eq 'ERROR'}
                                </strong>
                            {/if}
                        </td>
                    {/foreach}
                </tr>
            {/foreach}
                {/if}
                <tr id="log-list-empty" {if count($logs) > 1}style="display: none"{/if}>
                    <td class="list-empty" colspan="3">
                        <div class="list-empty-msg">
                            <i class="icon-warning-sign list-empty-icon"></i>
                            Nie odnaleziono logów
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <br/>
        <a id="remove-logs" class="button red remove-logs" onclick="removeOwppocztaLogs();" href="#">Usuń logi</a>
    <h3>Ustawienia zaawansowane</h3>
        <div class="module_error alert alert-danger" >
            <p>UWAGA! Wszelkie zmiany poniższych opcji mogą zepsuć działanie modułu - na własną odpowiedzialność!</p>
        </div>
    <div class="form-container">
        <label for="URI_PP">Odnośnik do spakowanej listy placówek pocztowych:</label>
        <input onchange="updateOwppocztaConfiguration(this)" id="URI_PP" name="URI_PP" type="text"
               value="{htmlspecialchars($pp_uri)}"/>
        <small><br/>Aktualne informacje o plikach do pobrania można znaleźć na stronie Poczty Polskiej - <a href="http://odbiorwpunkcie.poczta-polska.pl/" target="_blank">odbiorwpunkcie.poczta-polska.pl</a></small>
    </div>
        <div class="form-container">
        <label for="PP_ENC">Kodowanie pliku z listą wszystkich placówek pocztowych:</label>
            <span><select onchange="updateOwppocztaConfiguration(this)" id="PP_ENC" name="PP_ENC">
                    <option {if $pp_enc eq "UTF-8"} selected {/if} value="UTF-8">UTF-8 Unicode</option>
                    <option {if $pp_enc eq "cp1250"} selected {/if} value="cp1250">Windows Central European</option>
                    <option {if $pp_enc eq "latin2"} selected {/if} value="latin2">ISO 8859-2 Central European</option>
                </select>
            <small>Jeśli nazwy ulic nie mają polskich znaków tylko tzw. "krzaczki", należy pobrać <a href="{$pp_uri}">archiwum z listą placówek</a>, następnie rozpakować i <a href="https://www.google.pl/search?q=jak+sprawdzić+kodowanie+pliku+notepad++" target="_blank">sprawdzić kodowanie pliku</a>.</small></span>
        </div>
    <div class="form-container">
        <label for="URI_PNAPNIPP">Odnośnik do spakowanej listy najbliższych pięciu punktów odbioru dla kodu pocztowego:</label>
        <input onchange="updateOwppocztaConfiguration(this)" id="URI_PNAPNIPP" name="URI_PNAPNIPP" type="text"
               value="{htmlspecialchars($pp_pnapni_uri)}"/>
        <small><br/>Aktualne informacje o plikach do pobrania można znaleźć na stronie Poczty Polskiej - <a href="http://odbiorwpunkcie.poczta-polska.pl/" target="_blank">odbiorwpunkcie.poczta-polska.pl</a></small>
    </div>
    <div class="form-container">
        <label for="PP_PNAPNI_ENC">Kodowanie pliku z listą kodów pocztowych:</label>
        <select onchange="updateOwppocztaConfiguration(this)" id="PP_PNAPNI_ENC" name="PP_PNAPNI_ENC">
            <option {if $pp_pnapni_enc eq "UTF-8"} selected {/if} value="UTF-8">UTF-8 Unicode</option>
            <option {if $pp_pnapni_enc eq "cp1250"} selected {/if} value="cp1250">CP1250 - Windows Central European</option>
            <option {if $pp_pnapni_enc eq "latin2"} selected {/if} value="latin2">Latin2 - ISO 8859-2 Central European</option>
        </select>
    </div>
    <div class="form-container">
        <label for="GMAPS_API_KEY">Klucz Google Maps Javascript API</label>
        <input onchange="updateOwppocztaConfiguration(this)" id="GMAPS_API_KEY" name="GMAPS_API_KEY" type="text"
               value="{htmlspecialchars($google_maps_api_key)}"/>
    </div>
</fieldset>
</div>
<style type="text/css">
    .owppoczta-settings{
        max-width: 800px;
        margin: 0 auto;
    }

    .table.carrier label{
        display: block;
        width: 100%;
        height: 100%;
        font-weight: normal;
        cursor: pointer;
        cursor: hand;
    }

    .row_hover.connected{
        background: none repeat scroll 0 0 #F1FFBA;
    }

    td.center label{
        text-align : center;
    }

    .update-settings.table tr td{
        font-size: 14px;
    }
    .update-settings .odd{
        background-color: rgba(255,255,255,0.6);
    }
    .update-settings input[type="radio"]{
        width: 12px;
        height: 12px;
        margin: 10px;
        display: block;
        float: left;
    }
    .update-settings code{
        padding: 3px 5px 2px;
        margin: 2px 1px;
        display: inline-block;
        background: none repeat scroll 0 0 rgba(0, 0, 0, 0.07);
        font-size: 13px;
        font-family: Consolas,Monaco,monospace;
        direction: ltr;
        unicode-bidi: embed;
        line-height: 1.4em;
    }
    .update-settings code a{
        color: #0074A2;
    }
    .update-settings code a:hover{
        color: #0099D5;
    }
    .update-settings code a:focus {
        box-shadow: 0 0 0 1px #5B9DD9, 0 0 2px 1px rgba(30, 140, 190, 0.8);
    }
    .interval-select option{
        padding: 2px 10px 2px 5px;
    }
    .run-database-update-button{
        margin-left: 20%;
        padding: 6px 20px;
    }
    .owppoczta-logs-table{
        width: 100%;
    }
    .owppoczta-logs-table tr th:nth-of-type(3){
        text-align: center;
    }
    .remove-logs{
        margin-left: 20%;
    }

    .form-container{
        overflow: hidden;
        padding: 10px 15px;
    }
    .form-container label{
        width: 300px;
    }
    .form-container span select{
        margin-top: 10px;
    }
    .form-container span{
        display: block;
        overflow: hidden;
    }
    .form-container span small{
        float: left;
    }
</style>
